! -*- mode: F90 ; mode: font-lock ; column-number-mode: true  -*-
program omp_hello
  implicit none
  integer :: OMP_GET_NUM_THREADS,OMP_GET_THREAD_NUM
  integer :: nthreads,tnumber

  !$OMP PARALLEL DEFAULT(PRIVATE)

  nthreads = OMP_GET_NUM_THREADS()
  tnumber=OMP_GET_THREAD_NUM()
  print *,"Hello world from thread",tnumber+1," of",nthreads

  !$OMP END PARALLEL

end program omp_hello

